## python-altgraph 0.17+ds0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/altgraph.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/altgraph.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-altgraph 0.12~dfsg

=== debian/changelog ===
python-altgraph (0.12~dfsg-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * git-dpm config

  [ IOhannes m zmölnig ]
  * Use https:// in Vcs-* stanzas
  * Fix the command to run the tests (Closes: #802992)
    - Thanks to Dmitry Shachnev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Oct 2015 22:11:01 +0100

python-altgraph (0.12~dfsg-2) unstable; urgency=medium

  * Added note in README.Debian about which parts have been stripped.
  * Fixed Vcs-* stanza.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Aug 2015 23:22:30 +0200

python-altgraph (0.12~dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #790904)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2015 15:43:37 +0200

=== debian/control ===
Source: python-altgraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 9~),
 dh-buildinfo,
 python,
 python3,
 devscripts,
 dh-python,
 python-sphinx,
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/ronaldoussoren/altgraph
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-altgraph.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-altgraph.git

Package: python-altgraph
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Suggests: python-altgraph-doc
Description: Python graph (network) package
 altgraph is a fork of graphlib: a graph (network) package for constructing
 graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
 graphviz output.
 .
 altgraph includes some additional usage of Python 2.6+ features and
 enhancements related to modulegraph and macholib.
 .
 This package provides the Python 2.x module.

Package: python3-altgraph
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Suggests: python-altgraph-doc
Description: Python 3 graph (network) package
 altgraph is a fork of graphlib: a graph (network) package for constructing
 graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
 graphviz output.
 .
 altgraph includes some additional usage of Python 2.6+ features and
 enhancements related to modulegraph and macholib.
 .
 This package provides the Python 3.x module.

Package: python-altgraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python graph (network) package - API documentation
 altgraph is a fork of graphlib: a graph (network) package for constructing
 graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
 graphviz output.
 .
 altgraph includes some additional usage of Python 2.6+ features and
 enhancements related to modulegraph and macholib.
 .
 This package provides the documentation.

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.debian.net/altgraph/altgraph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-altgraph 0.13

=== debian/changelog ===
python-altgraph (0.13-1) unstable; urgency=medium

  * New upstream version 0.13

  * Mentioned Py2 in short package description
  * Added Multi-Arch:forein to -doc package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 17 Dec 2016 22:14:05 +0100

python-altgraph (0.12~dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ IOhannes m zmölnig ]
  * Documentation on how to handle the packaging repo
    * Cloning
    * Working with git-dpm
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Oct 2016 16:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
  python-sphinx,
  python-setuptools,
  python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/ronaldoussoren/altgraph
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-altgraph.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-altgraph.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-altgraph.git
 
 Package: python-altgraph
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 Suggests: python-altgraph-doc
-Description: Python graph (network) package
+Description: Python 2 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
  graphviz output.
@@ -47,6 +47,7 @@
 
 Package: python-altgraph-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python graph (network) package - API documentation

## python-altgraph 0.14~repack0

=== debian/changelog ===
python-altgraph (0.14~repack0-1) unstable; urgency=medium

  * New upstream version 0.14

  * Mangle 'repack' suffix from debian version
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Jun 2017 12:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,24 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-buildinfo,
+ dh-python,
  python,
  python3,
  devscripts,
- dh-python,
  python-sphinx,
  python-setuptools,
- python3-setuptools
-Standards-Version: 3.9.8
+ python3-setuptools,
+Standards-Version: 4.0.0
 Homepage: https://bitbucket.org/ronaldoussoren/altgraph
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-altgraph.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-altgraph.git
 
 Package: python-altgraph
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python:Depends},
 Suggests: python-altgraph-doc
 Description: Python 2 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing
@@ -33,7 +36,10 @@
 
 Package: python3-altgraph
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
 Suggests: python-altgraph-doc
 Description: Python 3 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing
@@ -49,7 +55,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Python graph (network) package - API documentation
  altgraph is a fork of graphlib: a graph (network) package for constructing
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~(dfsg|repack)(\.[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.debian.net/altgraph/altgraph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-altgraph 0.15~repack0

=== debian/changelog ===
python-altgraph (0.15~repack0-1) unstable; urgency=medium

  * New upstream version 0.15~repack0

  * B-D on python3-sphinx
  * Updated d/watch to https://pypi.python.org/
    * Properly mangle Debian version with "repack"
  * Bumped standards version to 4.1.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Dec 2017 17:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 9~),
+ devscripts,
  dh-buildinfo,
  dh-python,
  python,
  python3,
- devscripts,
- python-sphinx,
+ python3-sphinx,
  python-setuptools,
  python3-setuptools,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://bitbucket.org/ronaldoussoren/altgraph
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-altgraph.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-altgraph.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=altgraph
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	sphinx-build -bhtml doc build/html

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/*.egg-info/
	rm -rf $(CURDIR)/build

override_dh_sphinxdoc:
	dh_sphinxdoc
	find debian/python-altgraph-doc -name license.txt -delete

override_dh_auto_test:
	python3 setup.py egg_info
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'

#build/python-altgraph-doc::
#	sphinx-build -bhtml doc build/html
#	dh_sphinxdoc -ppython-altgraph-doc build/html

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~(dfsg|repack)([.]?[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/m/altgraph/ \
 altgraph-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-altgraph 0.16.1~repack0

=== debian/changelog ===
python-altgraph (0.16.1~repack0-1) unstable; urgency=medium

  * New upstream version 0.16.1~repack0

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Aug 2018 17:48:38 +0200

python-altgraph (0.15~repack0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added Dependency on python*-pkg-resources
  * Only run test-suite during build if 'nocheck' has not been set
  * Added patch to disable fetching appveyor status in offline documentation
  * Enabled generic DebCI python testsuite
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 15:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
  python3-sphinx,
  python-setuptools,
  python3-setuptools,
-Standards-Version: 4.1.2
+Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.2.0
 Homepage: https://bitbucket.org/ronaldoussoren/altgraph
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-altgraph.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-altgraph.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-altgraph.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altgraph
 
 Package: python-altgraph
 Architecture: all
@@ -23,6 +24,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
+ python-pkg-resources,
 Suggests: python-altgraph-doc
 Description: Python 2 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing
@@ -40,6 +42,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends},
+ python3-pkg-resources,
 Suggests: python-altgraph-doc
 Description: Python 3 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,10 @@
 	find debian/python-altgraph-doc -name license.txt -delete
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 setup.py egg_info
 	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
+endif
 
 #build/python-altgraph-doc::
 #	sphinx-build -bhtml doc build/html

## python-altgraph 0.17+ds0

=== debian/changelog ===
python-altgraph (0.17+ds0-1) unstable; urgency=medium

  * New upstream version 0.17+ds0

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ IOhannes m zmölnig ]
  * Update upstream homepage to github
  * Add oversionmangling to d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 16 Jan 2020 14:54:16 +0100

python-altgraph (0.16.1~repack0-3) unstable; urgency=medium

  * Suggest graphviz (Closes: #919109)
  * Don't require "root" for building package
  * Drop obsolete d/source/local-options
  * Bump standards version to 4.4.0
  * Bump dh-compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Sep 2019 17:00:48 +0200

python-altgraph (0.16.1~repack0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 12 Aug 2019 22:29:32 +0500

=== debian/control ===
Source: python-altgraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper-compat (= 12),
 devscripts,
 dh-buildinfo,
 dh-python,
 python3,
 python3-sphinx,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/ronaldoussoren/altgraph
Vcs-Git: https://salsa.debian.org/python-team/modules/python-altgraph.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altgraph

Package: python3-altgraph
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
Suggests: python-altgraph-doc,
 graphviz,
Description: Python 3 graph (network) package
 altgraph is a fork of graphlib: a graph (network) package for constructing
 graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
 graphviz output.
 .
 altgraph includes some additional usage of Python 2.6+ features and
 enhancements related to modulegraph and macholib.
 .
 This package provides the Python 3.x module.

Package: python-altgraph-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python graph (network) package - API documentation
 altgraph is a fork of graphlib: a graph (network) package for constructing
 graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
 graphviz output.
 .
 altgraph includes some additional usage of Python 2.6+ features and
 enhancements related to modulegraph and macholib.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,11 @@
 export https_proxy = https://127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
-	sphinx-build -bhtml doc build/html
+	python3 -m sphinx -bhtml doc build/html
 
 override_dh_clean:
 	dh_clean

## python-altgraph 0.17.2+ds0

=== debian/changelog ===
python-altgraph (0.17.2+ds0-1) unstable; urgency=medium

  * New upstream version 0.17.2+ds0

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * B-D on python3-all:any
  * Add autopkgtest based on upstream's testsuite
    + Drop autopkgtest-pkg-python
  * Add salsa-ci configuration
  * Mark applicable patches as no-forward-needed
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Oct 2021 15:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,33 @@
 Source: python-altgraph
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
  dh-python,
- python3,
+ python3-all:any,
+ python3-setuptools,
  python3-sphinx,
- python3-setuptools,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ronaldoussoren/altgraph
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-altgraph.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altgraph
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-altgraph.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altgraph
 
 Package: python3-altgraph
 Architecture: all
 Depends:
- ${shlibs:Depends},
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
- python3-pkg-resources,
-Suggests: python-altgraph-doc,
+ ${shlibs:Depends},
+Suggests:
  graphviz,
+ python-altgraph-doc,
 Description: Python 3 graph (network) package
  altgraph is a fork of graphlib: a graph (network) package for constructing
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,8 @@
 	find debian/python-altgraph-doc -name license.txt -delete
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 setup.py egg_info
 	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
-endif
 
 #build/python-altgraph-doc::
 #	sphinx-build -bhtml doc build/html

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,uversionmangle=s/(rc|a|b|c)/~$1/,oversionmangle=s/$/+ds0/, \
https://pypi.python.org/packages/source/m/altgraph/ \
 altgraph-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-altgraph 0.17.3+ds0

=== debian/changelog ===
python-altgraph (0.17.3+ds0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:22:30 +0100

python-altgraph (0.17.3+ds0-1) unstable; urgency=medium

  * New upstream version 0.17.3+ds0
  * B-D on dh-sequence-(python3|sphinxdox)
  * Use execute_after_dh_... instead of override_dh_...
  * Drop override_dh_clean in favour of d/clean
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 09:50:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all:any,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ronaldoussoren/altgraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-altgraph.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=altgraph
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	python3 -m sphinx -bhtml doc build/html

execute_after_dh_sphinxdoc:
	find debian/python-altgraph-doc -name license.txt -delete

override_dh_auto_test:
	python3 setup.py egg_info
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-altgraph,
Restrictions: allow-stderr

## python-altgraph 0.17.4%2Bds

=== debian/changelog ===
python-altgraph (0.17.4+ds-4) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint
  * Drop dependency on python3-pkg-resources (Closes: #1083597)
  * Drop "Python 2" from description
  * Drop "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 17:23:56 +0200

python-altgraph (0.17.4+ds-3) unstable; urgency=medium

  * Team Upload
  * Also remove build-dep on devscripts
  * Bump standards version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 16:43:29 +0200

python-altgraph (0.17.4+ds-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on dh-buildinfo

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump standards version to 4.7.0
  * Apply 'wrap-and-sort -ast'

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Nov 2024 12:05:41 +0100

python-altgraph (0.17.4+ds-1) unstable; urgency=medium

  * New upstream version 0.17.4+ds
  * Drop repack-version number
  * Update copyright information
    + Bump copyright dates
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2023 23:32:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,20 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- devscripts,
- dh-buildinfo,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all:any,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/ronaldoussoren/altgraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-altgraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altgraph
 
 Package: python3-altgraph
 Architecture: all
+Multi-Arch: foreign
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -34,8 +31,7 @@
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
  graphviz output.
  .
- altgraph includes some additional usage of Python 2.6+ features and
- enhancements related to modulegraph and macholib.
+ altgraph includes enhancements related to modulegraph and macholib.
  .
  This package provides the Python 3.x module.
 
@@ -51,7 +47,6 @@
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
  graphviz output.
  .
- altgraph includes some additional usage of Python 2.6+ features and
- enhancements related to modulegraph and macholib.
+ altgraph includes enhancements related to modulegraph and macholib.
  .
  This package provides the documentation.

## python-altgraph 0.17.4+ds

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,23 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ devscripts,
+ dh-buildinfo,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all:any,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/ronaldoussoren/altgraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-altgraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altgraph
 
 Package: python3-altgraph
 Architecture: all
-Multi-Arch: foreign
 Depends:
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -31,7 +34,8 @@
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
  graphviz output.
  .
- altgraph includes enhancements related to modulegraph and macholib.
+ altgraph includes some additional usage of Python 2.6+ features and
+ enhancements related to modulegraph and macholib.
  .
  This package provides the Python 3.x module.
 
@@ -47,6 +51,7 @@
  graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
  graphviz output.
  .
- altgraph includes enhancements related to modulegraph and macholib.
+ altgraph includes some additional usage of Python 2.6+ features and
+ enhancements related to modulegraph and macholib.
  .
  This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,15 @@
 override_dh_auto_test:
 	python3 setup.py egg_info
 	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

## python-altgraph 0.17.5+ds

=== debian/changelog ===
python-altgraph (0.17.5+ds-1) unstable; urgency=medium

  * New upstream version 0.17.5+ds
    + Drop patch obsoleted by new upstream
  * Update d/watch to version:5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:12:26 +0100

=== debian/watch ===
Version: 5

Template: Pypi
Dist: altgraph
Repacksuffix: +ds
Dversionmangle: auto
